@import url('https://fonts.googleapis.com/css2?family=Marcellus&family=Special+Elite&display=swap');
:root {
    --glass-bg: rgba(223, 221, 130, 0.404);
    --circle-color: rgba(223, 214, 91, 0.925);
    --text-color: #d84c4c;
    --shadow: 0 4px 10px rgba(214, 185, 57, 0.685);
    --pointer-color: #996e89;
}

* {
    margin: 0;
    padding: 0;
    font-family: "Special Elite", sans-serif;
}

body {
    background: url("img/bg.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    text-align: center;
    position: relative;
}

.container {
    position: relative;
    width: 300px;
    height: 300px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background: var(--glass-bg);
    box-shadow: var(--shadow);
    backdrop-filter: blur(10px);
    animation: breathe 19s infinite ease-in-out;
}

.circle {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background: var(--circle-color);
    box-shadow: inset 0 0 20px rgba(240, 168, 35, 0.699);
}

.pointer-container {
    position: absolute;
    width: 10px;
    height: 10px;
    top: -10px;
    animation: rotate 19s infinite linear;
    transform-origin: center 150px;
}

.pointer {
    width: 25px;
    height: 25px;
    background: var(--pointer-color);
    border-radius: 50%;
    box-shadow: 0 0 10px var(--pointer-color);
}

#text {
    position: absolute;
    font-size: 1.5rem;
    text-shadow: var(--shadow);
    font-family: "Marcellus", sans-serif; ;
}

.quote {
    position: absolute;
    bottom: 20px; 
    font-size: 1.1rem;
    
    color: #ffffff;
    background: rgba(146, 106, 184, 0.3);
    padding: 10px 15px;
    border-radius: 1px;
    box-shadow: 0 2px 10px rgba(228, 14, 217, 0.274);
    text-align: center;
    width: 80%;
    max-width: 400px;
    opacity: 0;
    animation: fadeIn 2s ease-in forwards 1s;
}

@keyframes fadeIn {
    from { opacity: 0; transform: translateY(10px); }
    to { opacity: 1; transform: translateY(0); }
}

@keyframes breathe {
    0%, 100% { transform: scale(1); }
    25% { transform: scale(1.2); }
    50% { transform: scale(1.2); }
}

@keyframes rotate {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
